DUMP1090-MUTABILITY(1)

NAME dump1090-mutability - Mode-S decoder

SYNOPSIS
dump1090-mutability
dump1090-mutability --interactive
dump1090-mutability --ifile file

DESCRIPTION
dump1090-mutability receives and decodes Mode S packets using the Realtek RTL2832 software defined radio interface. It provides the ability to decode multiple frame types as well as correct bit errors using the embedded 24-bit CRC. Results can be viewed using a text client, via the built- in HTTP server or forwarded off to other locations for collection.

OPTIONS
The supported options are as follows:

--device-index index
    Select RTL device (default: 0)

--gain db
    Set gain (default: max gain. Use -10 for auto-gain)

--enable-agc
    Enable the Automatic Gain Control (default: off)

--freq hz
    Set frequency (default: 1090 Mhz)

--ifile filename
    Read data from file (use '-' for stdin)

--interactive
    Display received in a textual table, in real-time.

--interactive-rows num
    Max number of rows in interactive mode (default: 15)

--interactive-ttl sec
    Remove from list if idle for sec (default: 60)

--interactive-rtl1090
    Display flight table in RTL1090 format

--raw
    Show only messages hex values

--net Enable networking

--modeac
    Enable decoding of SSR Modes 3/A & 3/C

--net-beast
    TCP raw output in Beast binary format

--net-only
    Enable just networking, no RTL device or file used

--net-http-port port
    HTTP server port (default: 8080)

--net-ri-port port
    TCP raw input listen port (default: 30001)

--net-ro-port port
    TCP raw output listen port (default: 30002)

--net-sbs-port port TCP BaseStation output listen port (default: 30003)

--net-bi-port port
    TCP Beast input listen port (default: 30004)

--net-bo-port port
    TCP Beast output listen port (default: 30005)

--net-ro-size size
    TCP raw output minimum size (default: 0)

--net-ro-rate rate
    TCP raw output memory flush rate (default: 0)

--net-heartbeat rate
    TCP heartbeat rate in seconds (default: 60; 0 to disable)

--net-buffer n
    TCP buffer size 64Kb * (2^n) (default: n=0, 64Kb)

--lat latitude
    Reference/receiver latitude for surface posn (opt)

--lon longitude
    Reference/receiver longitude for surface posn (opt)

--fix
    Enable single-bits error correction using CRC

--no-fix
    Disable single-bits error correction using CRC

--no-crc-check
    Disable messages with broken CRC (discouraged)

--phase-enhance
    Enable phase enhancement

--aggressive
    More CPU for more messages (two bits fixes, ...)

--mlat
    display raw messages in Beast ascii mode

--stats
    With --ifile print stats at exit. No other output

--onlyaddr
    Show only ICAO addresses (testing purposes)

--metric
    Use metric units (meters, km/h, ...)

--snip level
    Strip IQ file removing samples level

--debug flags
    Debug mode (verbose)

--quiet
    Disable output to stdout.

--ppm error
    Set receiver error in parts per million (default 0)

--help
    Show help

DIAGNOSTICS
The Debug mode is a visual help to improve the detection algorithm or to understand why the program is not working for a given input.

In this mode messages are displayed in an ASCII-art style graphical representation, where the individual magnitude bars sampled at 2MHz are displayed.

An index shows the sample number, where 0 is the sample where the first Mode S peak was found. Some additional background noise is also added before the first peak to provide some context.

Select frames to log using the following flags:

d   Log frames decoded with errors

D   Log frames decoded with zero errors

c   Log frames with bad CRC

C   Log frames with good CRC

p   Log frames with bad preamble

n   Log network debugging info

j   Log frames to frames.js, loadable by debug.html

EXAMPLES

The most basic usage is with no flags, which will open the first found rtl-sdr device and begin printing out hex dumps of the received packets.
    Most people will either run this in interactive mode or as a daemon.

Interactive mode

        dump1090-mutability --interactive
Daemon mode

        dump1090-mutability --net --quiet &
You can also use dump1090-mutability as a network hub for multiple receivers by using

        dump1090-mutability --net-only

BUGS
Report bugs with the program to the project's github page <https://github.com/mutability/dump1090/>

AUTHORS
Dump1090 was originally written by Salvatore Sanfilippo <antirez@gmail.com>. This version is now maintained by Oliver Jowett <oliver@mutability.co.uk>. This manpage was prepared for Debian by Matthew Ernisse <mernisse@ub3rgeek.net>.